Name: dhcp_probe
Version: 1.3.0
Release: 7%{?dist}
Summary: Tool for discover DHCP and BootP servers
License: GPLv2+ and MIT
Group: System Environment/Daemons

Url: http://www.net.princeton.edu/software/dhcp_probe/

Source0: http://www.net.princeton.edu/software/dhcp_probe/%{name}-%{version}.tar.gz
Source1: dhcp_probe.init

# Patchs from upstream
Patch0: dhcp_probe-1.3.0-guignard-03_implicit_point_conv_bootp.c.patch
Patch1: dhcp_probe-1.3.0-guignard-04_linux_32_or_64bits.patch
Patch2: dhcp_probe-1.3.0-virta-01-pcap-loop.patch 
Patch3: dhcp_probe-1.3.0-virta-02-keep-pcap.patch 
Patch4: dhcp_probe-1.3.0-virta-03-drop-privs.patch

BuildRequires: libnet-devel libpcap-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig

%description
dhcp_probe attempts to discover DHCP and BootP servers on a directly-attached
Ethernet network. A network administrator can use this tool to locate 
unauthorized DHCP and BootP servers.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4

%post
/sbin/chkconfig --add %{name} 

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot} 
make DESTDIR=%{buildroot} INSTALL="install -p" CP="cp -p" install
install -p -m 644 -D extras/dhcp_probe.cf.sample %{buildroot}/%{_sysconfdir}/dhcp_probe.cf
install -p -m 755 -D %{SOURCE1} %{buildroot}/%{_initrddir}/dhcp_probe

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS TODO README COPYING.GPL COPYING COPYING.LIB
%config(noreplace) %{_sysconfdir}/dhcp_probe.cf
%{_sbindir}/%{name}
%{_mandir}/man8/dhcp_probe.8*
%{_mandir}/man5/dhcp_probe.cf.5*
%{_initrddir}/dhcp_probe

%changelog
* Wed Sep 29 2010 jkeating - 1.3.0-7
- Rebuilt for gcc bug 634757

* Tue Sep 21 2010 Daniel Bruno <dbruno@fedoraproject.org> - 1.3.0-6
- condrestart|try-restart functions was implemented
- service default enabled removed

* Wed Sep 01 2010 Daniel Bruno dbruno@fedoraproject.org - 1.3.0-5
- Fixed the bug on start function

* Mon Aug 23 2010 Daniel Bruno dbruno@fedoraproject.org - 1.3.0-4
- Improved the restart function and added reload script on init script.

* Tue Aug 17 2010 Daniel Bruno dbruno@fedoraproject.org - 1.3.0-3
- Fix the init script on the source

* Wed Aug 11 2010 Daniel Bruno dbruno@fedoraproject.org - 1.3.0-2
- Added init script

* Wed Aug 11 2010 Daniel Bruno dbruno@fedoraproject.org - 1.3.0-1
- First Fedora RPM Package
